name: use nix

on: push
env:
    DEV_SHELL_NAME: CI
jobs:
  build:
    runs-on: flakes-action
    steps:
      - uses: actions/checkout@v3
        name: Checkout
      - name: Metadata
        run: |
          nix flake metadata
      - name: Statix
        run: |
          nix develop -c statix check
      - name: Flake check
        run: |
          nix flake check